## fo-property-text-align

fo-property-text-align —

## Synopsis

    enum        FoEnumTextAlign;
    #define     FO_TYPE_ENUM_TEXT_ALIGN
    GType       fo_enum_text_align_get_type     (void);
    struct      FoPropertyTextAlign;
    struct      FoPropertyTextAlignClass;
    FoProperty* fo_property_text_align_new      (void);
    FoProperty* fo_property_text_align_get_initial
                                                (void);

## Description

## Details

### enum FoEnumTextAlign

    typedef enum {
      FO_ENUM_TEXT_ALIGN_START,
      FO_ENUM_TEXT_ALIGN_CENTER,
      FO_ENUM_TEXT_ALIGN_END,
      FO_ENUM_TEXT_ALIGN_JUSTIFY,
      FO_ENUM_TEXT_ALIGN_INSIDE,
      FO_ENUM_TEXT_ALIGN_OUTSIDE,
      FO_ENUM_TEXT_ALIGN_LEFT,
      FO_ENUM_TEXT_ALIGN_RIGHT
    } FoEnumTextAlign;

### FO_TYPE_ENUM_TEXT_ALIGN

    #define     FO_TYPE_ENUM_TEXT_ALIGN

### fo_enum_text_align_get_type ()

    GType       fo_enum_text_align_get_type     (void);

Returns : |

### struct FoPropertyTextAlign

    struct FoPropertyTextAlign;

### struct FoPropertyTextAlignClass

    struct FoPropertyTextAlignClass;

### fo_property_text_align_new ()

    FoProperty* fo_property_text_align_new      (void);

Creates a new FoPropertyTextAlign initialized to default value.

Returns : | the new FoPropertyTextAlign.

### fo_property_text_align_get_initial ()

    FoProperty* fo_property_text_align_get_initial
                                                (void);

Get an instance of the property with the correct initial value.

Returns : | An instance of the property.